> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ghostposter.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Create New Otp



## OpenAPI

````yaml https://server.ghostposter.co/openapi.json post /api/v1/auth/verify-otp
openapi: 3.1.0
info:
  title: GHOST POSTER - BACKEND
  description: 'Version: 1.0.0, Build: 1000'
  version: 1.0.0
servers: []
security: []
paths:
  /api/v1/auth/verify-otp:
    post:
      tags:
        - Auth
      summary: Create New Otp
      operationId: create_new_otp_api_v1_auth_verify_otp_post
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/OTPVerifySchema'
        required: true
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ServerResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    OTPVerifySchema:
      properties:
        Email:
          type: string
          format: email
          title: Email
        Code:
          type: string
          title: Code
      type: object
      required:
        - Email
        - Code
      title: OTPVerifySchema
    ServerResponse:
      properties:
        data:
          anyOf:
            - {}
            - type: 'null'
          title: Data
        success:
          type: boolean
          title: Success
      type: object
      required:
        - success
      title: ServerResponse
      example:
        data: {}
        success: true
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````